Can't install IPhoto version ILife '11 on my Maverick 10.9.5

Discussion in 'OS X Mavericks (10.9)' started by cbarb, Nov 24, 2014.

  1. cbarb macrumors newbie

    Joined:
    Nov 24, 2014
    #1
    I purchased Ilife '11 software so I could install IPhoto on my MacBook Pro OS 10.9.5 Maverick. (Not available in app store). Message box says I must install updated software that runs on yosemite (Iphoto v 9.something). I don't want to install Yosemite. Any work arounds? Thanks,
     
  2. Bruno09, Nov 24, 2014
    Last edited: Nov 24, 2014

    Bruno09 macrumors 68020

    Joined:
    Aug 24, 2013
    Location:
    Far from here
    #2
    The App Store will allow you to download the right version for Mavericks (9.5.1).

    Just go to App Store / Updates, select the iPhoto update.

    In French, sorry :

    [​IMG]

    It says :

    "Download a previous version of iPhoto ?
    The current version of iPhoto requires OS X 10.10 or more, however you can download the latest compatible version.
    Cancel / Download"


    Test done on Mavericks 10.9.5.
     
  3. sharon22 macrumors regular

    Joined:
    Oct 19, 2014
    #3
    I'm in the same boat -- in my App Store "Software Updates" I have some updates "just sittin' there" because it says they're "incompatible" because I refuse to downgrade to Yosemite.
     
  4. cbarb thread starter macrumors newbie

    Joined:
    Nov 24, 2014
    #4
    It Worked! Thank you

    Thank you Bruno09. I did exactly what you recommended and it worked. Sharon22, give this a try, it worked for me.
     

Share This Page